Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlCommentField

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlCommentField

All Implemented Interfaces:
  java.io.Serializable

public class IdlCommentField
extends java.lang.Object
implements java.io.Serializable

This class corresponds to an IDL comment section.

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Field Summary
`static int` | `_author_field` Author section
`static int` | `_deprecated_field` Deprecated section
`static int` | `_exception_field` Exception section
`static int` | `_param_field` Param section
`static int` | `_return_field` Return section
`static int` | `_see_field` See section
`static int` | `_unknown_field` Unknown section
`static int` | `_version_field` Version section
`static IdlCommentField` | `author_field`
`static IdlCommentField` | `deprecated_field`
`static IdlCommentField` | `exception_field`
`static IdlCommentField` | `param_field`
`static IdlCommentField` | `return_field`
`static IdlCommentField` | `see_field`
`static IdlCommentField` | `unknown_field`
`static IdlCommentField` | `version_field`

Constructor Summary
`IdlCommentField(int kind)` constructor

Method Summary
`int` | `value()` Return the field value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _author_field

    public static final int _author_field

  Author section

### author_field

    public static final IdlCommentField author_field

### _exception_field

    public static final int _exception_field

  Exception section

### exception_field

    public static final IdlCommentField exception_field

### _version_field

    public static final int _version_field

  Version section

### version_field

    public static final IdlCommentField version_field

### _param_field

    public static final int _param_field

  Param section

### param_field

    public static final IdlCommentField param_field

### _return_field

    public static final int _return_field

  Return section

### return_field

    public static final IdlCommentField return_field

### _see_field

    public static final int _see_field

  See section

### see_field

    public static final IdlCommentField see_field

### _deprecated_field

    public static final int _deprecated_field

  Deprecated section

### deprecated_field

    public static final IdlCommentField deprecated_field

### _unknown_field

    public static final int _unknown_field

  Unknown section

### unknown_field

    public static final IdlCommentField unknown_field

Constructor Detail

### IdlCommentField

    public IdlCommentField(int kind)

  constructor

Method Detail

### value

    public int value()

  Return the field value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD